Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039553
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-10-26 14:152018-12-11 20:22
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision846701061bb9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039553: Is not possible to define an specific attachment configuration if there is already one defined at system client

DescriptionIs not possible to define an specific attachment configuration if there is already one defined at system client.
Steps To Reproduce1) Login as System Administrator.
2) Go to the [Attachments Configuration] window and create a new record.
3) Login as Group Admin Role
4) Go to the [Attachments Configuration] window and create a new record. ERROR: record can not be saved we are wrongly detecting an active configuration but is not defined for the current client.

Note that it is possible to create the configurations if we do the previous steps in reverse order, i.e, first creating the configuration as group admin and then as system administrator.
Proposed SolutionModify the logic in AttachmentConfigEventHandler in order to allow saving an active attachment configuration even if we have one defined at system level.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0029771 closednaiaramartinez different attachment method infrastructure 

-  Notes
(0107628)
hgbot (developer)
2018-10-26 15:09

Repository: erp/devel/pi
Changeset: 846701061bb9d5e6c189b0b7132674d669bcfa0c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Oct 26 15:05:43 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/846701061bb9d5e6c189b0b7132674d669bcfa0c [^]

fixes bug 39553: Can't create an attachment config having one at system client

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/AttachmentConfigEventHandler.java
---
(0107790)
alostale (developer)
2018-11-08 09:49

reviewed + tested
(0108445)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-10-26 14:15 caristu New Issue
2018-10-26 14:15 caristu Assigned To => platform
2018-10-26 14:15 caristu Modules => Core
2018-10-26 14:15 caristu Triggers an Emergency Pack => No
2018-10-26 14:15 caristu Relationship added related to 0029771
2018-10-26 14:18 caristu Steps to Reproduce Updated View Revisions
2018-10-26 14:18 caristu Assigned To platform => caristu
2018-10-26 15:09 hgbot Checkin
2018-10-26 15:09 hgbot Note Added: 0107628
2018-10-26 15:09 hgbot Status new => resolved
2018-10-26 15:09 hgbot Resolution open => fixed
2018-10-26 15:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/846701061bb9d5e6c189b0b7132674d669bcfa0c [^]
2018-10-26 15:09 caristu Review Assigned To => alostale
2018-11-08 09:49 alostale Note Added: 0107790
2018-11-08 09:49 alostale Status resolved => closed
2018-11-08 09:49 alostale Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108445


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker